This is the mail archive of the java-patches@gcc.gnu.org mailing list for the Java project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Patch: update to automake 1.9.6


Following the discussion about automake versions a while back, I've
updated the gcc tree to use automake 1.9.6.  I've also updated
install.texi to mention this particular version, and I've included my
little script to fetch and build the proper auto* tools.

Most of the "patch" here consists of ChangeLog entries for the various
directories, as the only thing changing are generated files.

Bootstrapped on x86 FC2.

Ok?

Tom

Index: boehm-gc/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, aclocal.m4, configure, include/Makefile.in: Use
	automake 1.9.6.

Index: fastjar/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, aclocal.m4, configure: Use automake 1.9.6.

Index: libffi/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, aclocal.m4, configure, include/Makefile.in,
	testsuite/Makefile.in: Use automake 1.9.6.

Index: libgfortran/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, aclocal.m4, configure: Use automake 1.9.6.

Index: libjava/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, aclocal.m4, configure: Use automake 1.9.6.

Index: libmudflap/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, aclocal.m4, configure, testsuite/Makefile.in: Use
	automake 1.9.6.

Index: libssp/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* Makefile.in, aclocal.m4, configure: Use automake 1.9.6.

Index: gcc/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* doc/install.texi (Prerequisites): Use automake 1.9.6.

Index: gcc/doc/install.texi
===================================================================
RCS file: /cvs/gcc/gcc/gcc/doc/install.texi,v
retrieving revision 1.372
diff -u -r1.372 install.texi
--- gcc/doc/install.texi 7 Sep 2005 06:19:57 -0000 1.372
+++ gcc/doc/install.texi 14 Sep 2005 15:44:29 -0000
@@ -313,7 +313,7 @@
 directories require autoconf 2.59 (exactly), but the toplevel
 still requires autoconf 2.13 (exactly).
 
-@item automake versions 1.9.3
+@item automake versions 1.9.6
 
 Necessary when modifying a @file{Makefile.am} file to regenerate its
 associated @file{Makefile.in}.
@@ -323,8 +323,8 @@
 @file{libcpp}, @file{libiberty}, @file{libobjc} directories as well
 as any of their subdirectories.
 
-For directories that use automake, GCC requires the latest release in
-the 1.9.x series, which is currently 1.9.3.  When regenerating a directory
+For directories that use automake, GCC uses a particular release of
+the 1.9.x series, which is currently 1.9.6.  When regenerating a directory
 to a newer version, please update all the directories using an older 1.9.x
 to the latest released version.
 
Index: contrib/ChangeLog
from  Tom Tromey  <tromey@redhat.com>

	* auto-fetch: New file.

Index: contrib/auto-fetch
===================================================================
RCS file: contrib/auto-fetch
diff -N contrib/auto-fetch
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ contrib/auto-fetch 14 Sep 2005 15:44:33 -0000
@@ -0,0 +1,42 @@
+#! /bin/sh
+
+# Fetch the correct versions of the autotools, build them, and install
+# them.
+# Usage: auto-fetch DIR [INSTALL]
+# DIR is where all the work will be done.  This script will create it;
+# it must not yet exist.
+# If INSTALL is given, it is where the tools will be installed.
+# By default they are installed in $DIR/install.
+
+BASE=ftp://ftp.gnu.org/pub/gnu
+AMDIR=automake-1.9.6
+AMFILE=$AMDIR.tar.bz2
+AUTOMAKE=$BASE/automake/$AMFILE
+ACDIR=autoconf-2.59
+ACFILE=$ACDIR.tar.bz2
+AUTOCONF=$BASE/autoconf/$ACFILE
+
+WHERE=$1
+INSTALL=${2:-"$WHERE/install"}
+
+if test -e $WHERE; then
+   echo "auto-fetch: \"$WHERE\" exists" 1>&2
+   exit 1
+fi
+
+mkdir -p $WHERE || exit 1
+mkdir -p $INSTALL || exit 1
+INSTALL=`cd $INSTALL && pwd`
+
+cd $WHERE
+
+wget $AUTOMAKE $AUTOCONF || exit 1
+
+tar jxf $AMFILE || exit 1
+tar jxf $ACFILE || exit 1
+
+cd $ACDIR
+(./configure --prefix=$INSTALL && make all install) || exit 1
+
+cd ../$AMDIR
+(./configure --prefix=$INSTALL && make all install) || exit 1


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]